Page MenuHomePhabricator

VisualEditor Mobile: Allow formatting editing
Open, LowPublic8 Estimated Story Points

Description

It's impossible to create a new page / new content without this. :-(

Details

Reference
bz65586

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 3:11 AM
bzimport set Reference to bz65586.

bingle-admin wrote:

Prioritization and scheduling of this bug is tracked on Trello card https://trello.com/c/5i7pUTTK

Jdforrester-WMF raised the priority of this task from Medium to High.Apr 29 2015, 7:33 PM
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Krenair added a subscriber: Krenair.May 2 2015, 8:06 PM

What else do we need to do here other than add the formatting menu to MobileViewTarget?

Jdforrester-WMF moved this task from Freezer to Epics on the VisualEditor board.Jul 21 2015, 6:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 21 2015, 6:19 PM

Just that - finding a place for it to go.

Florian added a subscriber: Florian.
Esanders updated the task description. (Show Details)Aug 18 2015, 9:47 AM
Esanders added a project: Design.
Esanders edited a custom field.
Jdforrester-WMF lowered the priority of this task from High to Low.Nov 19 2015, 7:21 PM
Deskana closed this task as Resolved.Aug 27 2018, 8:05 PM
Deskana claimed this task.
Deskana added a subscriber: Deskana.

Formatting (e.g. bold, italics) can be added and edited in the mobile visual editor. Am I misunderstanding this task, or is it just so old that these features didn't exist back then?

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptAug 27 2018, 8:05 PM

Formatting (e.g. bold, italics) can be added and edited in the mobile visual editor. Am I misunderstanding this task, or is it just so old that these features didn't exist back then?

This is about formatting (headings), not styling (bold, italics). You can't make an article without being able to make sections (not least, a references section).

Deskana reopened this task as Open.Aug 27 2018, 8:15 PM

Terminology. Bah.

Well, yeah, those are missing. It's an open question whether we really want to support article creation in the short term over other use cases, but that's a different discussion...

Deskana removed Deskana as the assignee of this task.Aug 27 2018, 8:16 PM
Deskana moved this task from Epics to Freezer on the VisualEditor board.